## org.eclipse.datatools.sqltools.sqlbuilder.views.graph
Class GraphContextMenuProvider

    java.lang.Object
      org.eclipse.jface.action.ContributionManager
          org.eclipse.jface.action.MenuManager
              org.eclipse.gef.ContextMenuProvider
                  org.eclipse.datatools.sqltools.sqlbuilder.views.graph.GraphContextMenuProvider

All Implemented Interfaces:
  org.eclipse.jface.action.IContributionItem, org.eclipse.jface.action.IContributionManager, org.eclipse.jface.action.IMenuListener, org.eclipse.jface.action.IMenuManager

    public class GraphContextMenuProvider

extends org.eclipse.gef.ContextMenuProvider

Constructor Summary
`GraphContextMenuProvider(org.eclipse.gef.EditPartViewer viewer, SQLDomainModel domainModel)`

Method Summary
`void` `buildContextMenu(org.eclipse.jface.action.IMenuManager menu)`

Methods inherited from class org.eclipse.gef.ContextMenuProvider
`menuAboutToShow`

Methods inherited from class org.eclipse.jface.action.MenuManager

`addMenuListener, createContextMenu, createMenuBar, createMenuBar, dispose, fill, fill, fill, fill, findMenuUsingPath, findUsingPath, getId, getImageDescriptor, getMenu, getMenuText, getOverrides, getParent, getRemoveAllWhenShown, isDynamic, isEnabled, isGroupMarker, isSeparator, isSubstituteFor, isVisible, markDirty, removeMenuListener, saveWidgetState, setActionDefinitionId, setOverrides, setParent, setRemoveAllWhenShown, setVisible, update, update, update, updateAll`

Methods inherited from class org.eclipse.jface.action.ContributionManager
`add, add, appendToGroup, appendToGroup, find, getItems, getSize, indexOf, insert, insertAfter, insertAfter, insertBefore, insertBefore, isDirty, isEmpty, prependToGroup, prependToGroup, remove, remove, removeAll, replaceItem`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IContributionManager
`add, add, appendToGroup, appendToGroup, find, getItems, insertAfter, insertAfter, insertBefore, insertBefore, isDirty, isEmpty, prependToGroup, prependToGroup, remove, remove, removeAll`

Methods inherited from interface org.eclipse.jface.action.IContributionItem
`isDirty`

Constructor Detail

### GraphContextMenuProvider

    public GraphContextMenuProvider(org.eclipse.gef.EditPartViewer viewer,
                                    SQLDomainModel domainModel)

Method Detail

### buildContextMenu

    public void buildContextMenu(org.eclipse.jface.action.IMenuManager menu)

  Specified by:
    `buildContextMenu` in class `org.eclipse.gef.ContextMenuProvider`